<?php
	echo "Entrez le nombre à filtrer : " ;
	fscanf(STDIN,"%d",$NbAFilter);
	$filtre = 0b01111111  ; // laisse passer les 7 bits de droite
	$resultat = $NbAFilter & $filtre ;
	echo "résultat : ".$resultat.PHP_EOL;
?>

